Image Map Resizer Script and RequireJS

This forum is for all Flare issues related to the HTML5, WebHelp, WebHelp Plus, and Adobe Air Targets

Image Map Resizer Script and RequireJS

Postby awinnefeld on Tue Jul 30, 2019 7:46 am

For my HTML5 output, I wanted to make Flare's Image Maps responsive with this Image Map Resizer script. I added the script to a topic, and it does what it is supposed to do - however, it doesn't jive well with RequireJS, which seems to be necessary for Flare's HTML5 output. In the output, the side navigation in the topic with the Image Map Resizer is just completely gone, and the search as well as the topic toolbar won't work. In the console of the browser, I get the following error: "ERROR: Mismatched anynymous define() module [...].
require-error.png


I tried to do a bit of reading on RequireJS, but to be honest, the documentation on their website goes a little bit above my head. I'm not a web developer, and my JavaScript knowledge is pretty limited. Does anyone of you have any experience with RequireJS interfering with other scripts? I'm not sure if I could circumvent this by loading the Image Map Resizer script with RequireJS (the RequireJS website seems to indicate this). As RequireJS is not part of the project, but is added by Flare in the build process, I also really don't know where to start trying to do so (which files would I have to add, and where to add them?).
You do not have the required permissions to view the files attached to this post.
awinnefeld
Propeller Head
 
Posts: 27
Joined: Thu May 17, 2018 1:55 am
Location: Germany

Re: Image Map Resizer Script and RequireJS

Postby awinnefeld on Fri Aug 02, 2019 12:26 am

Just fyi, MadCap Support advised me to use the rwdImageMaps script instead which does what I want without causing conflicts with RequireJS.
awinnefeld
Propeller Head
 
Posts: 27
Joined: Thu May 17, 2018 1:55 am
Location: Germany


Return to Web-based Outputs

Who is online

Users browsing this forum: No registered users and 3 guests